Get Payment Method
curl --request GET \
--url https://api-sandbox.revolv3.com/api/PaymentMethod/{paymentMethodId} \
--header 'x-revolv3-token: <api-key>'import requests
url = "https://api-sandbox.revolv3.com/api/PaymentMethod/{paymentMethodId}"
headers = {"x-revolv3-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-revolv3-token': '<api-key>'}};
fetch('https://api-sandbox.revolv3.com/api/PaymentMethod/{paymentMethodId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentMethodId": 1,
"billingAddressId": 1,
"billingAddress": {
"addressId": 1,
"addressLine1": "123 Main",
"addressLine2": null,
"city": "Santa Ana",
"state": "CA",
"postalCode": "90000",
"phoneNumber": null,
"email": null,
"country": "US"
},
"billingFirstName": "John",
"billingLastName": "Smith",
"merchantPaymentMethodRefId": "payment-method-ref-id_hgays-213-4rf4",
"paymentMethodAchDetails": null,
"paymentMethodCreditCardDetails": {
"binNumber": "411111",
"paymentLast4Digit": "1111",
"paymentExpirationDate": "1025",
"accountUpdateMessage": null,
"accountUpdateDateTime": null,
"accountUpdateCode": null
}
}{
"message": "Attempted to perform an unauthorized operation."
}{
"message": "Unable to find an entity with the provided data."
}PaymentMethod
Get Payment Method
Retrieves details about a specific stored payment method, using its unique identifier. The response includes type (e.g., credit card, ACH), masked account details, expiration, and billing address.
This endpoint is commonly used to display payment method information in the UI (e.g., “Visa ending in 1234”), or confirm method existence before charging. Useful in both customer-facing portals and internal admin tools for billing management.
GET
/
api
/
PaymentMethod
/
{paymentMethodId}
Get Payment Method
Authorizations
Path Parameters
Required range:
1 <= x <= 1000000000Response
OK
The unique identifier for the payment method information.
Required range:
1 <= x <= 1000000000The unique identifier of the address.
Required range:
1 <= x <= 1000000000Show child attributes
Show child attributes
Maximum string length:
100Maximum string length:
100Merchant's unique identifier for the payment method.
Maximum string length:
100ACH account information.
Show child attributes
Show child attributes
The details of credit card payment method.
Show child attributes
Show child attributes

